update existing connection by id

The update existing connection by id API sends a PUT request to modify a connection.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a connection id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idConnection IDUUID
Request Body
Field nameDescriptionFormat
nameThe name of the connectionString
connectorThe type of connectorString
descriptionConnection descriptionString
profilesConnection profilesMap
modifiedAtThe date and time of modificationString
modifiedByModified byString
createdAtThe date and time of creationString
createdByCreated byString
Response Body
Field nameDescriptionFormat
idConnection IDUUID
nameThe name of the connectionString
connectorThe type of connectorString
descriptionConnector descriptionString
profilesConnection profilesMap
modifiedAtThe date and time of modificationString
createdAtThe date and time of creationString
createdByCreated byString
Profile Structure
Field nameDescriptionFormat
profileNameKeyString
profileValueProfile configJsonElement

Examples

{
  "name": "connection-mainframe-rpc",
  "connector": "mainFrameRpc",
  "description": "example mainframe-rpc connection",
  "profiles": {
    "$default": {
      "baseUrl": "http://cics.example.internal",
      "uriMap": "/example/latest",
      "port": "12345",
      "codePage": "cp037"
    }
  },
  "modifiedBy": "John Doe",
  "modifiedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "John Doe",
  "createdAt": "2026-01-01T00:00:00.000Z"
}
{
  "id": "00000000-0000-0000-0000-000000000001",
  "name": "connection-mainframe-rpc",
  "connector": "mainFrameRpc",
  "description": "example mainframe-rpc connection",
  "profiles": {
    "$default": {
      "baseUrl": "http://cics.example.internal",
      "uriMap": "/example/latest",
      "port": "12345",
      "codePage": "cp037"
    }
  },
  "modifiedAt": "2026-01-01T00:00:00.000000000Z",
  "createdAt": "2026-01-01T00:00:00.000000000Z",
  "createdBy": "John Doe"
}
Path Params
string
required
Body Params
string
string
string
profiles
object
string
date-time
string
date-time
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json